Subject: Re: Restore annotated tag?

From: "Shawn O. Pearce" <[email-masked]>
Date: Wed, 22 Sep 2010 11:23:53 -0700

[email-masked] wrote:
> Is there a way to restore an annotated tag? One was accidentally
> deleted and pushed. I can restore normal tags by just using git tag
> again, but for an annotated tag, there's a tag object and I'm not sure
> how to restore it.

If the tag still exists, `git fsck --unreachable | grep tag` should
show you output listing the dangling tag objects.  Once you have that
list, use `git show SHA1` to view the object.  When you find the tag,
make a reference to it with `git update-ref refs/tags/NAME SHA1`.

-- 
Shawn.